##### GENERAL STUFF #####

%define major	7
%define libname	%mklibname mnote %{major}

Summary:	Library for parsing, editing, and saving MakerNote-EXIF-tags
Name:		libmnote
Version:	0.5.6
Release:	4mdk
License:	LGPL
Group:		Graphics
Url:		http://sourceforge.net/projects/libexif/
BuildRequires:	libexif-devel pkgconfig

##### SOURCE FILES #####

Source: http://belnet.dl.sourceforge.net/sourceforge/libexif/libmnote-%{version}.tar.bz2

##### ADDITIONAL DEFINITIONS #####

Provides:	libmnote
BuildRoot:	%{_tmppath}/%{name}-buildroot

##### SUB-PACKAGES #####

%description

libmnote supports parsing, editing and saving of EXIF MakerNote
data. In addition, it has gettext support. Currently, libmnote
supports only a few camera manufacturer MakerNote formats (submissions
are welcome).

%package -n %{libname}
Summary:	Library for parsing, editing, and saving MakerNote-EXIF-tags
Provides:	%{libname}
Requires:	libexif9
Group:		Graphics

%description -n %{libname}

libmnote supports parsing, editing and saving of EXIF MakerNote
data. In addition, it has gettext support. Currently, libmnote
supports only a few camera manufacturer MakerNote formats (submissions
are welcome).

%package -n %{libname}-devel
Summary: 	Headers and links to compile against the "%{libname}" library
Requires: 	%{libname} = %{version}
Provides:	libmnote-devel
Group:		Graphics

%description -n %{libname}-devel
This package contains all files which one needs to compile programs using
the "%{libname}" library.


##### PREP #####

%prep
rm -rf $RPM_BUILD_DIR/libmnote-%{version}
%setup -q -n libmnote-%{version}

##### BUILD #####

%build
# "autogen" is needed because we have a CVS snapshot.
#./autogen.sh
%configure
%make

##### INSTALL #####

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

# Install the README files of the source tarball in the doc directory
#cp *.txt $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}

%find_lang %{name}-%{major}

##### PRE/POST INSTALL SCRIPTS #####

%post -n %{libname} 

/sbin/ldconfig

%postun -n %{libname} 

/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT


##### FILE LISTS FOR ALL BINARY PACKAGES #####

##### %{libname}
%files -n %{libname} -f %{name}-%{major}.lang
%defattr(-,root,root)
%doc ABOUT-NLS COPYING ChangeLog README
%{_libdir}/*.so.*

##### %{libname}-devel
%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/*
%{_includedir}/*

##### CHANGELOG #####

%changelog

* Mon Sep  1 2003 Till Kamppeter <till@mandrakesoft.com> 0.5.6-4mdk
- Used the mklibname macro.

* Sun Jul 27 2003 Till Kamppeter <till@mandrakesoft.com> 0.5.6-3mdk
- Rebuilt for libexif 0.5.10.

* Fri Jul 18 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.5.6-2mdk
- buildrequires

* Fri Jan 17 2003 Till Kamppeter <till@mandrakesoft.com> 0.5.6-1mdk
- Initial release

